routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return redirect('home');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::resource('user', 'User\UserController');


//Route::resource('almacen','Almacen\AlmacenController');

Route::get('almacen/{almacen}','Almacen\AlmacenController@destroy')->name('almacen.destroy');
Route::post('almacen','Almacen\AlmacenController@store')->name('almacen.store');
Route::get('almacen','Almacen\AlmacenController@create')->name('almacen.create');
	

Route::resource('product', 'Producto\ProductoController');

Route::resource('orden-compra', 'OrdenCompraController');
Route::get('orden/generate/{product}','OrdenCompraController@showOrder')->name('orden-compra.generate');
Route::get('orden/list/{product}','OrdenCompraController@listOrders')->name('orden-compra.list');
Route::get('orden/{order}','OrdenCompraController@destroy')->name('orden.destroy');



Route::resource('orden-venta', 'OrdenVentaController');
Route::get('venta/generate/{product}','OrdenVentaController@showOrder')->name('orden-venta.generate');
Route::get('venta/list/{product}','OrdenVentaController@listOrders')->name('orden-venta.list');
Route::get('venta/{order}','OrdenVentaController@destroy')->name('venta.destroy');


Route::get('kardex/{product}','OrdenVentaController@generateKardex')->name('generate.kardex');


//Route::resource('orden-venta', 'OrdenVentaController');

resources/views/comercial/create.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">{{ __('Registrar Producto') }}</div>

                <div class="card-body">
                    <form method="POST" action="{{ route('product.store') }}">
                        @csrf
                        <div class="form-group row">
                            <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('Nombre del Producto') }}</label>

                            <div class="col-md-6">
                                <input id="name" type="text" class="form-control" name="name" value="{{ old('name') }}" required autocomplete="name" autofocus>
                            </div>
                        </div>
                        

                        <div class="form-group row">
                            <label for="inputState"  class="col-md-4 col-form-label text-md-right">Almacen</label>
                            <div class="col-md-6">                              
                             <select id="almacen" name="almacen" class="form-control">
                                <option selected>Selecciona una opcion ...</option>
                                @foreach($listAlmacen as $almacen)
                                    <option value="{{$almacen->nombre}}">{{$almacen->nombre}} {{$almacen->distrito}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>           

                    <div class="form-group row">
                        <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('Fecha de Registro') }}</label>
                        <div class="col-md-6">
                            <input id="fec_vencimiento" type="date" class="form-control" name="fec_vencimiento"  required >
                        </div>
                    </div>

                    <div class="form-group row">
                        <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('Descripcion') }}</label>

                        <div class="col-md-6">
                            <textarea id="description" type="textarea" rows="4" cols="50" class="form-control" name="description" value="{{ old('description') }}" required autocomplete="name" autofocus> </textarea> 
                        </div>
                    </div>

                    <div class="form-group row mb-0">
                        <div class="col-md-6 offset-md-4">
                            <button type="submit" class="btn btn-primary">
                                {{ __('Registrar producto') }}
                            </button>
                        </div>
                    </div>

                </form>
            </div>
        </div>
    </div>
</div>
</div>
@endsection

resources/views/comercial/index.blade.php
@extends('layouts.app')

@section('content')
<div class="container-fluid">
  <div class="row justify-content-center">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header">
          <div class="float-left">
            <h4>Bienvenido <b class="text-success"> {{$title}} </b></h4>
            <h5>Registro de nuevos <b class="text-primary">Productos</b> para la venta</h5>
          </div>
          <div class="float-right">
            <a class="btn btn-sm btn-success" href="{{ route('product.create') }}"> Registrar nuevo producto</a>
          </div>
        </div>
        <div class="card-body">
          <div class="table-responsive">
            <table class="table table-striped table-hover">
              <thead>
                <tr>
                  <th width="10px">ID</th>
                  <th>Nombre</th>
                  <th>Almacen</th>
                  <th>Estado</th>
                  <th>Cantidad</th>
                  <th>Fecha Registro</th>
                  <th class="text-center" colspan="2" style="background-color: black; color:white"> ORDEN DE COMPRA</th>
                  <th class="text-center" colspan="2" style="margin-left: 5px; background-color: yellow; color:red"> GENERAR VENTA</th>
                  <th class="text-center" style="margin-left: 5px; background-color: blue; color:white"> KARDEX</th>

                </tr>
              </thead>

              <tbody>
                @foreach($listProduct as $product)
                <tr>
                  <td>{{$product->id}}</td>
                  <td>{{$product->name}}</td>
                  <td>{{$product->almacen}}</td>
                  
                  @if($product->status === 'nuevo')
                  <td class="text-success"> Nuevo</td>
                  @endif
                  @if($product->status === 'disponible')
                  <td class="text-info"> Disponible</td>
                  @endif
                  @if($product->status === 'venta')
                  <td class="text-danger"> Venta</td>
                  @endif
                  @if($product->cantidad == '')
                  <td> No hay compra</td>
                  @else

                  <td>{{$product->cantidad}}</td>
                  @endif
                  <td>{{$product->fec_vencimiento}}</td>

                  <td width="5px">
                    <a role="button" href="{{ route('orden-compra.generate', $product) }}" class="btn btn-sm btn-outline-secondary">Registrar</a>
                  </td>
                  <td width="5px">
                    <a role="button" href="{{ route('orden-compra.list', $product) }}" class="btn btn-sm btn-outline-primary">Ver Compras</a>
                  </td>
                  

                  <td width="5px">
                    <a role="button" href="{{ route('orden-venta.generate', $product) }}" class="btn btn-sm btn-outline-secondary">Registrar</a>
                  </td>
                  <td width="5px">
                    <a role="button" href="{{ route('orden-venta.list', $product) }}" class="btn btn-sm btn-outline-primary">Ver Ventas</a>
                  </td>
                   <td width="5px">
                    <a role="button" href="{{ route('generate.kardex', $product) }}" class="btn btn-sm btn-danger">Generar Kardex</a>
                  </td>
                  
                </tr>
                @endforeach
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

@endsection